$(document).ready(function () {
	$.urlParam = function (name) {
		var results = new RegExp("[?&]" + name + "=([^&#]*)").exec(window.location.href);
		return results[1] || 0;
	};

	var navTemplate = $.templates("#navTemplate");
	var navTemplateData = {
		teamSn: $.urlParam("teamSn"),
	};
	$("#nav").html(navTemplate.render(navTemplateData));

	var timeInMs = Date.now();

	$.getJSON("/basketball/jsons/teams/" + $.urlParam("teamSn") + "/team.json?nocache=" + timeInMs, function (data) {
		var teamTemplate = $.templates("#teamTemplate");
		var teamTemplateData = {
			teamLogo: data.logo + `?nocache=${timeInMs}`,
			teamName: data.name,
		};
		$("#teamInfo").html(teamTemplate.render(teamTemplateData));
	});
	$.getJSON("/basketball/jsons/teams/" + $.urlParam("teamSn") + "/gamelist.json?nocache=" + timeInMs, function (data) {
		$("#seasonGameList").html("");
		var stageArray = [];
		var teamGamesContentTemplate = $.templates("#teamGamesContentTemplate");
		$.each(data, function (i, game) {
			var teamGamesHTML = "";
			var gameDate = new Date(game.playDate);
			var teamGamesContentTemplateData = {
				playDate: gameDate.getFullYear() + "/" + (gameDate.getMonth() + 1) + "/" + gameDate.getDate(),
				playTime: game.playTime,
				teamHomeSn: game.teamHome.sn,
				teamHomeName: game.teamHome.name,
				teamHomeScore: game.teamHomeRecord.score,
				teamGuestSn: game.teamGuest.sn,
				teamGuestName: game.teamGuest.name,
				teamGuestScore: game.teamGuestRecord.score,
				leagueSn: game.season.league.sn,
				seasonSn: game.season.sn,
				stageSn: game.group.stage.sn,
				groupSn: game.group.sn,
				gameSn: game.sn,
			};
			teamGamesHTML = teamGamesContentTemplate.render(teamGamesContentTemplateData);
			for (var j = 0; j < stageArray.length; j++) {
				if (stageArray[j].stage.sn == game.stage.sn) {
					stageArray[j].teamGamesHTML += teamGamesHTML;
					break;
				} else {
					if (j == stageArray.length - 1) {
						stageArray.push({
							stage: game.stage,
							teamGamesHTML: teamGamesHTML,
						});
						break;
					}
				}
			}
			if (stageArray.length == 0) {
				stageArray.push({
					stage: game.stage,
					teamGamesHTML: teamGamesHTML,
				});
			}
		});
		for (var i = 0; i < stageArray.length; i++) {
			var stageTemplateData = {
				stageName: stageArray[i].stage.name,
				teamGamesTableContent: stageArray[i].teamGamesHTML,
			};
			var teamHTML = $.templates("#teamGamesHeaderAndFooterTemplate").render(stageTemplateData);
			$("#teamGameList").append(teamHTML);
		}
	});
});
